Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build.strategy
Class ManualBuild

    java.lang.Object
      com.atlassian.bamboo.build.strategy.AbstractBuildStrategy
          com.atlassian.bamboo.build.strategy.ManualBuild

All Implemented Interfaces:
  BuildStrategy, ConvertibleFromConfig

    public class ManualBuild

extends AbstractBuildStrategy

This class forces a manual build.

Field Summary

Fields inherited from class com.atlassian.bamboo.build.strategy.AbstractBuildStrategy
`changeList`

Constructor Summary
`ManualBuild()`

Method Summary
`String` | `getKey()` A lowercase string key to identify the build strategy
`String` | `getName()` Returns the display name of the strategy
`boolean` | `requiresBuild(Build build)` Force a build of the build
`boolean` | `requiresPreBuildClean()` Don't do this

Methods inherited from class com.atlassian.bamboo.build.strategy.AbstractBuildStrategy
`addDefaultValues, getBuildMessage, getChangeList, getDescription, init, log, populateChangeList, populateFromConfig, setBuildMessage, toConfiguration, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManualBuild

    public ManualBuild()

Method Detail

### getKey

    public String getKey()

  Description copied from interface: `BuildStrategy`
  A lowercase string key to identify the build strategy

  Returns:
    String must not be null

### getName

    public String getName()

  Description copied from interface: `BuildStrategy`
  Returns the display name of the strategy

  Returns:
    String must not be null

### requiresBuild

    public boolean requiresBuild(Build build)
                          throws RepositoryException

  Force a build of the build

  Parameters:
    `build` - The build to build
  Returns:
    true
  Throws:
    `RepositoryException`

### requiresPreBuildClean

    public boolean requiresPreBuildClean()

  Don't do this

  Returns:
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.